//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using SSCMvc.Models;
    using System.Linq;

    public partial class MaEnquiry
    {
        SSCWebDBEntities1 db = new SSCWebDBEntities1();
        public MaEnquiry()
        {
            this.MaAdmissions = new HashSet<MaAdmission>();
            this.Tb_EmployHist = new HashSet<Tb_EmployHist>();
            this.Tb_Highestqual = new HashSet<Tb_Highestqual>();
        }

        public int Id { get; set; }
        public Nullable<int> CopyFrom { get; set; }

        [Required(ErrorMessage = "*")]
        [Display(Name = "First Name")]
        [StringLength(25)]
        public string FirstName { get; set; }

        [Required(ErrorMessage = "*")]
        public string Gender { get; set; }

        //[Required(ErrorMessage = "*")]
        [Display(Name = "Branch")]
        public Nullable<int> Demobranchid { get; set; }


        [StringLength(250)]
        [Required(ErrorMessage = "*")]
        [DataType(DataType.MultilineText)]
        public string Address { get; set; }

        [StringLength(25)]
        [DataType(DataType.Text)]
        [RegularExpression(@"\d{10}$")]
        [Required(ErrorMessage = "*")]
        public string Mobile { get; set; }

        [StringLength(25)]
        [DataType(DataType.Text)]

        [Display(Name = "Alternate No.")]
        [RegularExpression(@"\d{10}$")]
        public string AlternateNo { get; set; }

        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email Address")]

        [Display(Name = "Facebook Id")]
        [StringLength(50)]
        public string FacebookId { get; set; }

        [RegularExpression(@"^([a-zA-Z0-9_\-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([a-zA-Z0-9\-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$", ErrorMessage = "Not a valid Email Address")]
        [DataType(DataType.EmailAddress)]
        [Display(Name = "Email Id")]
        [StringLength(50)]
        public string EmailId { get; set; }


        [StringLength(50)]
        [Required(ErrorMessage = "*")]
        public string Source { get; set; }

        [StringLength(30)]
        [Required(ErrorMessage = "*")]
        [Display(Name = "Walk-In Type")]
        public string WalkInType { get; set; }

        [DataType(DataType.Date)]
        [Required(ErrorMessage = "*")]
        public Nullable<System.DateTime> WalkInDate { get; set; }


        [StringLength(250)]
        [DataType(DataType.MultilineText)]
        public string Remarks { get; set; }

        [Display(Name = "Counselor Name")]
        [Required(ErrorMessage = "*")]
        public Nullable<int> CounselorName { get; set; }


        [StringLength(50)]

        [Display(Name = "Country Interested")]

        public string CountryInterested { get; set; }


        [StringLength(50)]

        [Display(Name = "City Preference")]
        //[RegularExpression(@"^[a-zA-Z]+$", ErrorMessage = "Use letters only plz")]
        public string CityPreference { get; set; }

        [Display(Name = "Demo Fee Amount")]
        public Nullable<double> DemoFeeAmt { get; set; }

        [DataType(DataType.Date)]
        [Display(Name = "Demo Class Date")]
        public Nullable<System.DateTime> ClassDate { get; set; }

        [DataType(DataType.Date)]
        [Display(Name = "Demo Fee Date")]
        public Nullable<System.DateTime> DemoFeeDate { get; set; }

        [Display(Name = "Demo BY")]
        public string DemoBy { get; set; }


        [DataType(DataType.Date)]
        [Display(Name = "Exam Date")]

        public Nullable<System.DateTime> DateOfExam { get; set; }


        [StringLength(80)]
        [Display(Name = "Group Choice")]
        public string GroupChoice { get; set; }

        [StringLength(80)]
        [Display(Name = "Group Time")]
        public string Grouptime { get; set; }

        private Nullable<bool> _status { get; set; }
        public bool Status
        {
            get
            {
                if (_status == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _status = value;

            }
        }
        

        [DataType(DataType.Date)]
        [Display(Name = "Enter Date")]
        public Nullable<System.DateTime> Cdate { get; set; }
        
        [Display(Name = "Last Name")]
        [Required(ErrorMessage = "*")]
        public string LastName { get; set; }
        

        [Display(Name = "IsIELTS AC")]
        private Nullable<bool> _enqielts;


        public bool EnquiryIELAC
        {
            get
            {
                if (_enqielts == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _enqielts = value;
            }
        }


        [Display(Name = "PTE")]
        private Nullable<bool> _Enqppe;

        public bool EnqPPE
        {

            get
            {
                if (_Enqppe == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }




            set
            {
                _Enqppe = value;
            }

        }


        private Nullable<bool> _IsAdmission;
        public bool IsAdmission
        {
            get
            {
                if (_IsAdmission == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _IsAdmission = value;

            }

        }



        [Display(Name = "IsIELTS GT")]
        private Nullable<bool> _EnquiryIELGT;
        public bool EnquiryIELGT
        {
            get
            {
                if (_EnquiryIELGT == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryIELGT = value;
            }
        }



        [Display(Name = "IsSpoken English")]
        public Nullable<bool> _EnquirySpkEng;
        public bool EnquirySpkEng
        {
            get
            {
                if (_EnquirySpkEng == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquirySpkEng = value;
            }
        }



        [Display(Name = "IsStudy Visa")]
        public Nullable<bool> _EnquiryStyVisa;
        public bool EnquiryStyVisa
        {
            get
            {
                if (_EnquiryStyVisa == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            set
            {
                _EnquiryStyVisa = value;
            }
        }




        [Display(Name = "L")]
        public Nullable<double> IELTSExmLearn { get; set; }

        [Display(Name = "R")]
        public Nullable<double> IELTSExmRead { get; set; }

        [Display(Name = "W")]
        public Nullable<double> IELTSExmWrit { get; set; }

        [Display(Name = "S")]
        public Nullable<double> IELTSExmSpkn { get; set; }

        [Display(Name = "Overall")]
        public Nullable<double> IELTSExmOverall { get; set; }

        public Nullable<int> BranchId { get; set; }
        public Nullable<int> ReferenceId { get; set; }
        public Nullable<System.DateTime> LastUpdatedDate { get; set; }

        [Required(ErrorMessage = "*")]
        [Display(Name = "Enq. Handled By")]
        public Nullable<int> EnqHandledBy { get; set; }

        public string Other { get; set; }

        [Required(ErrorMessage = "*")]
        public string EnqTimeSlot { get; set; }

        public bool GoToAdm { get; set; }

        public Nullable<bool> _isprospect;

        public bool IsVisaProspect
        {
            get
            {
                if (_isprospect == true)
                {
                    return true;
                }
                return false;
            }
            set
            {
                if (value == true)
                {
                    _isprospect = value;
                }
                else
                {
                    _isprospect = false;
                }
            }
        }



        public Nullable<Boolean> IsMoveToVisa { get; set; }
        public Nullable<int> IELTSTestId { get; set; }

        public string FRemarks { get; set; }
        public Nullable<System.DateTime> FNextDate { get; set; }
        public Nullable<System.DateTime> FCDate { get; set; }
        public Nullable<int> FEnqFollowBy { get; set; }
        public string FEnqstatus { get; set; }


        [Required(ErrorMessage = "*")]
        public Nullable<int> AreaId { get; set; }


        private Nullable<bool> _IsExamBook { get; set; }
        public bool IsExamBook
        {
            get
            {
                if (_IsExamBook == true)
                {
                    return true;
                }
                else
                {
                    return false;
                }

            }
            set
            {
                _IsExamBook = value;

            }
        }

        public Nullable<System.DateTime> AdmDate { get; set; }

        [Display(Name = "Enquiry About")]
        [Required(ErrorMessage = "*")]
        public string EnqAbt { get; set; }

        [Display(Name = "Father's/Husband's Name")]
        [Required(ErrorMessage = "*")]
        public string FatherName { get; set; }
        [Display(Name = "Pin Code")]
        [Required(ErrorMessage = "*")]
        public string PinCode { get; set; }
        public string LastUpdateby { get; set; }
        public Nullable<System.DateTime> LastUpdateOn { get; set; }
        public Nullable<int> CityId { get; set; }
        public Nullable<int> TransferId { get; set; }
        public string UFile { get; set; }
        [Required(ErrorMessage = "*")]
        public string EnqType { get; set; }
        public string VisaType { get; set; }

        public string AreaName
        {
            get
            {
                return db.Ma_Area.Where(a => a.Id == AreaId).Select(a => a.Area).FirstOrDefault();
            }
        }


        public virtual ICollection<MaAdmission> MaAdmissions { get; set; }
        public virtual MaBranch MaBranch { get; set; }
        public virtual User User { get; set; }
        public virtual User User1 { get; set; }
        public virtual MaFrmReference MaFrmReference { get; set; }
        public virtual ICollection<Tb_EmployHist> Tb_EmployHist { get; set; }
        public virtual ICollection<Tb_Highestqual> Tb_Highestqual { get; set; }
    }
}
